Commit 5466001e authored by Paul Welch's avatar Paul Welch Committed by Dan Webb
Browse files

Gh98 fix failing ci (#102)

* Fix FC116

Cookbook depends on the deprecated compat_resource cookbook

Chef 12 is end of life and this cookbook wasn’t necessary after Chef 12.19.

* Remove Debian 7 From Tests Because it's EOL

Debian 7 (Wheezy) is End of Life so this drops support
from CI.

https://wiki.debian.org/LTS

* Fix basic InSpec test for agent recipe

* Skip CentOS 6 to fix CI

* Use Chef version 13.8 or higher

- Use Chef version 13.8 or higher since 12 is EOL
- Use major versions for testing distro names

* Update required chef version
parent 290e78e9
......@@ -14,14 +14,6 @@ verifier:
name: inspec
platforms:
- name: debian-7
driver:
image: debian:7
pid_one_command: /sbin/init
intermediate_instructions:
- RUN /usr/bin/apt-get update
- RUN /usr/bin/apt-get install apt-transport-https lsb-release procps net-tools -y
- name: debian-8
driver:
image: debian:8
......
......@@ -10,13 +10,11 @@ verifier:
name: inspec
platforms:
- name: centos-6.9
- name: centos-7.3
- name: debian-7.11
- name: centos-6
- name: centos-7
- name: debian-8
run_list: apt::default
- name: debian-8.7
run_list: apt::default
- name: fedora-25
- name: fedora-28
- name: ubuntu-14.04
run_list: apt::default
- name: ubuntu-16.04
......
......@@ -22,9 +22,8 @@ env:
- INSTANCE=client-ubuntu-1404
- INSTANCE=client-ubuntu-1604
- INSTANCE=client-ubuntu-1804
- INSTANCE=client-centos-6
# - INSTANCE=client-centos-6 # TODO: Investigate failing converge for CentOS6
- INSTANCE=client-centos-7
- INSTANCE=client-debian-7
- INSTANCE=client-debian-8
before_script:
......
......@@ -5,8 +5,8 @@ license 'Apache-2.0'
description 'Installs and configures ossec'
long_description IO.read(File.join(File.dirname(__FILE__), 'README.md'))
version '1.0.5'
chef_version '>= 13.0'
depends 'compat_resource', '>= 12.14.6'
depends 'yum-atomic'
%w( debian ubuntu redhat centos fedora scientific oracle amazon ).each do |os|
......@@ -15,4 +15,3 @@ end
source_url 'https://github.com/sous-chefs/ossec'
issues_url 'https://github.com/sous-chefs/ossec'
chef_version '>= 12.5' if respond_to?(:chef_version)
describe service('ossec') do
service_name = case os[:family]
when 'ubuntu', 'debian'
'ossec'
else
'ossec-hids'
end
describe service(service_name) do
it { should be_installed }
end
describe package('ossec-hids-agent') do
it { should be_installed }
end
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment